Package com.google.android.exoplayer2.source.hls.playlist

## Interface HlsPlaylistParserFactory

- All Known Implementing Classes:
    `DefaultHlsPlaylistParserFactory`, `FilteringHlsPlaylistParserFactory`

      public interface HlsPlaylistParserFactory

  Factory for `HlsPlaylist` parsers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ParsingLoadable.Parser<HlsPlaylist>` | `createPlaylistParser()` | Returns a stand-alone playlist parser.
    `ParsingLoadable.Parser<HlsPlaylist>` | `createPlaylistParser​(HlsMultivariantPlaylist multivariantPlaylist, HlsMediaPlaylist previousMediaPlaylist)` | Returns a playlist parser for playlists that were referenced by the given `HlsMultivariantPlaylist`.

- - ### Method Detail

    - #### createPlaylistParser

          ParsingLoadable.Parser<HlsPlaylist> createPlaylistParser()

      Returns a stand-alone playlist parser. Playlists parsed by the returned parser do not inherit any attributes from other playlists.

    - #### createPlaylistParser

          ParsingLoadable.Parser<HlsPlaylist> createPlaylistParser​(HlsMultivariantPlaylist multivariantPlaylist,
                                                                   @Nullable
                                                                   HlsMediaPlaylist previousMediaPlaylist)

      Returns a playlist parser for playlists that were referenced by the given `HlsMultivariantPlaylist`. Returned `HlsMediaPlaylist` instances may inherit attributes from `multivariantPlaylist`.
      Parameters:
        `multivariantPlaylist` - The multivariant playlist that referenced any parsed media playlists.
        `previousMediaPlaylist` - The previous media playlist or null if there is no previous media playlist.
      Returns:
        A parser for HLS playlists.